Skip to main content
GET
Get Signal Options
Before filtering contacts or companies by signals, call this endpoint to discover which signal types are available and what values are valid for signal sub-filters like news event types, hiring departments, and hiring locations. The endpoint returns different signal types depending on whether you query for contact or company.

Endpoints

Authentication: API key (ApiKeyAuth)

Path parameter

string
required
The entity type to retrieve signal options for.Allowed values: "contact" | "company"

Available signal types

Contact signals

Company signals

Hiring & Workforce Headcount Trends Technology & Digital Presence News Events

Response

200 - Success

string
The entity type from the request. Example: "contact" or "company"
string[]
List of available signal type identifiers for this entity type. Example: ["promotion", "companyChange"]
object
Available enum values for signal sub-filters. Only present in the company (/company) response.

Error codes


Example responses

Authorizations

api_key
string
header
required

Your Lusha API key. You can find this in your Lusha dashboard under API settings.

Include this key in the api_key header for all requests.

Path Parameters

objectType
enum<string>
required

The type of object to get signal options for

Available options:
contact,
company

Response

List of available signal types for the specified object type

signals
string[]
Example:
objectType
string
Example:

"contact"

filterOptions
object

Available enum values for signal sub-filters. Only present in the company response.